Debian Bug report logs - #575923
gdb: cross target FTBFS

version graph

Package: gdb; Maintainer for gdb is Héctor Orón Martínez <zumbi@debian.org>; Source for gdb is src:gdb.

Reported by: Hector Oron <zumbi@debian.org>

Date: Tue, 30 Mar 2010 15:21:01 UTC

Severity: wishlist

Found in version 7.1

Fixed in version gdb/7.1-2

Done: Daniel Jacobowitz <dan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <dan@debian.org>:
Bug#575923; Package gdb. (Tue, 30 Mar 2010 15:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
New Bug report received and forwarded. Copy sent to Daniel Jacobowitz <dan@debian.org>. (Tue, 30 Mar 2010 15:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gdb: cross target FTBFS
Date: Tue, 30 Mar 2010 17:19:08 +0200
Package: gdb
Version: 7.1
Severity: wishlist


Hello,

When building cross target I get:

dh_lintian -pgdb-arm-linux-gnueabi 
dh_install -pgdb-arm-linux-gnueabi --sourcedir=/home/zumbi/buildcross/trunk/armel/gdb-7.1-1/debian/tmp 
cp: cannot stat `debian/tmp/usr/bin/gdb': No such file or directory
dh_install: cp -a debian/tmp/usr/bin/gdb debian/gdb-arm-linux-gnueabi//usr/bin/ returned exit code 1
make: *** [binary-install/gdb-arm-linux-gnueabi] Error 2
dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 2

Let me know if you need more info or if you need me to figure out what's going on.

Kind regards,

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-vserver-amd64 (SMP w/2 CPU cores)
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <dan@debian.org>:
Bug#575923; Package gdb. (Mon, 05 Jul 2010 15:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <dan@debian.org>. (Mon, 05 Jul 2010 15:03:04 GMT) Full text and rfc822 format available.

Message #10 received at 575923@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Debian Bug Tracking System <575923@bugs.debian.org>
Subject: Re: Bug#575923: gdb: cross target FTBFS
Date: Mon, 5 Jul 2010 17:02:01 +0200
Hello,

It has been a while since the bug was opened. A fix it is proposed,
thanks to Marcin Juszkiewicz, he proposes to fix this issue with:

diff -ur t/gdb-7.1/debian//rules gdb-7.1/debian//rules
--- t/gdb-7.1/debian//rules	2010-03-20 14:41:15.000000000 +0100
+++ gdb-7.1/debian//rules	2010-07-05 16:10:06.538218000 +0200
@@ -264,7 +264,10 @@
 		> debian/control
 ifeq ($(DEB_CROSS),yes)
 	sed -i "/Package: gdb64/,\$$ d" debian/control
-	cp debian/gdb.install debian/gdb$(TS).install
+	cat debian/gdb.install \
+		| sed "s+/gdb+/$(TP)gdb+g" \
+		| sed "s+usr/share/$(TP)gdb+usr/share/gdb+g" \
+		> debian/gdb$(TS).install
 endif

 # The default changelog is the top level one, which is useless.

But Loïc suggest not to use cat | sed | sed, instead, use some form of:

sed 's+/gdb+/$(TP)gdb+g; \
         s+usr/share/$(TP)gdb+usr/share/gdb+g' debian/gdb.install \
         >debian/gdb$(TS).install

Dan, do you think it is posible to fix this bug? TIA.

-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."




Reply sent to Daniel Jacobowitz <dan@debian.org>:
You have taken responsibility. (Wed, 01 Sep 2010 03:36:03 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <zumbi@debian.org>:
Bug acknowledged by developer. (Wed, 01 Sep 2010 03:36:03 GMT) Full text and rfc822 format available.

Message #15 received at 575923-close@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: 575923-close@bugs.debian.org
Subject: Bug#575923: fixed in gdb 7.1-2
Date: Wed, 01 Sep 2010 03:32:35 +0000
Source: gdb
Source-Version: 7.1-2

We believe that the bug you reported is fixed in the latest version of
gdb, which is due to be installed in the Debian FTP archive:

gdb-minimal_7.1-2_amd64.deb
  to main/g/gdb/gdb-minimal_7.1-2_amd64.deb
gdb-source_7.1-2_all.deb
  to main/g/gdb/gdb-source_7.1-2_all.deb
gdb_7.1-2.debian.tar.gz
  to main/g/gdb/gdb_7.1-2.debian.tar.gz
gdb_7.1-2.dsc
  to main/g/gdb/gdb_7.1-2.dsc
gdb_7.1-2_amd64.deb
  to main/g/gdb/gdb_7.1-2_amd64.deb
gdbserver_7.1-2_amd64.deb
  to main/g/gdb/gdbserver_7.1-2_amd64.deb
libgdb-dev_7.1-2_amd64.deb
  to main/g/gdb/libgdb-dev_7.1-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 575923@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Jacobowitz <dan@debian.org> (supplier of updated gdb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 31 Aug 2010 10:57:57 -0400
Source: gdb
Binary: gdb gdb-minimal gdb64 gdbserver libgdb-dev gdb-source
Architecture: source all amd64
Version: 7.1-2
Distribution: unstable
Urgency: low
Maintainer: Daniel Jacobowitz <dan@debian.org>
Changed-By: Daniel Jacobowitz <dan@debian.org>
Description: 
 gdb        - The GNU Debugger
 gdb-minimal - The GNU Debugger
 gdb-source - The GNU Debugger (source)
 gdb64      - The GNU Debugger (64-bit)
 gdbserver  - The GNU Debugger (remote server)
 libgdb-dev - The GNU Debugger (libgdb.a)
Closes: 575923
Changes: 
 gdb (7.1-2) unstable; urgency=low
 .
   * Add sanitize-gdb.sh and README.source to source package (used to create
     tarballs).
   * Fix cross-gdb build.  Patch from Hector Oron.  (Closes: #575923).
Checksums-Sha1: 
 9d2f7800148a3539ce90f63273119c8bc836122f 1902 gdb_7.1-2.dsc
 37e3bed9dc6827fa58673f3e5fff4b5944f82c06 29792 gdb_7.1-2.debian.tar.gz
 b13871b3ca00442da5fb76d59fa93a15f0c54add 17663772 gdb-source_7.1-2_all.deb
 3f65dc7c574fea444e2f2732e47e1201ba8f14a4 2083354 gdb_7.1-2_amd64.deb
 d37c27b02441744d58ba95dd761f916917b6c780 1889742 gdb-minimal_7.1-2_amd64.deb
 fcc3c83cd155e14027d44df8ad7b34f143947ed3 86518 gdbserver_7.1-2_amd64.deb
 d99c309f2e164bba0ae373e625ef1f3dac136e57 2393154 libgdb-dev_7.1-2_amd64.deb
Checksums-Sha256: 
 bb757351cdb5caeecb01c3fe7f9d23fafa663cb5841e369ee94eb8d563815ed3 1902 gdb_7.1-2.dsc
 e06174d62cfc4a17973153cf6b07a40bcf33dca96d8dcab49726663c6d0fe448 29792 gdb_7.1-2.debian.tar.gz
 fe298736b8525a98c889ada0b9c872c7873c28acb6f8de9507bae1d111afb869 17663772 gdb-source_7.1-2_all.deb
 6e155722f4fcd625eca34ba2e40df7ec44590056a89d0cb5de742198cdee638a 2083354 gdb_7.1-2_amd64.deb
 689ff9737d26034857184c23c2843e990daf857daa0582e11eb2b829fbe2f5af 1889742 gdb-minimal_7.1-2_amd64.deb
 8b5aacb8255232cfbd40a8a534a69c73c1877a7892cdaba01d47f47e43a7bb22 86518 gdbserver_7.1-2_amd64.deb
 6d52b1d3d0ae5e8d66dc7ea39b80bf8a1bc7ec5a0648faa5e43c1937887de097 2393154 libgdb-dev_7.1-2_amd64.deb
Files: 
 b140ce78080f4f73fefb8dd7288149a6 1902 devel optional gdb_7.1-2.dsc
 d222dc1c710719935aa76e8004b6b29c 29792 devel optional gdb_7.1-2.debian.tar.gz
 c143abe453ba08daff6ab231ce1780a3 17663772 devel optional gdb-source_7.1-2_all.deb
 216f811caa4e58e4883ae31f8cc792b4 2083354 devel optional gdb_7.1-2_amd64.deb
 3be530e2de14fbd3f2aa8e6977892d89 1889742 devel optional gdb-minimal_7.1-2_amd64.deb
 255dd23289c4e2f5e63e50a5a476a498 86518 devel optional gdbserver_7.1-2_amd64.deb
 7bcc432c020e12de0c05acd5dd3fa5b7 2393154 libdevel extra libgdb-dev_7.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMfce/bgOPXuCjg3cRAgpmAKCvpfYdvauvo66E+0LPf9fyJ2FWsgCgrESZ
B5ecJo9mWaFVyTtXi0s9npw=
=FM+Y
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 29 Sep 2010 07:31:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:26:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.